#!/bin/sh
########################################################################
#   5724-E34
#   (c) Copyright IBM Corporation 2008, 2009.
#   All rights reserved.
#
#   The source code for this program is not published or otherwise
#   divested of its trade secrets, irrespective of what has been
#   deposited with the U.S. Copyright Office.
########################################################################

echo --CREATE PRIMARY KEYS FOR GOSALES SCHEMA
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALES_SCHEMA}.CONVERSION_RATE:
echo @
echo ALTER TABLE ${GOSALES_SCHEMA}.CONVERSION_RATE ADD PRIMARY KEY \(COUNTRY_CODE ,
echo CONVERSION_YEAR ,
echo CONVERSION_MONTH \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALES_SCHEMA}.COUNTRY:
echo @
echo ALTER TABLE ${GOSALES_SCHEMA}.COUNTRY ADD PRIMARY KEY \(COUNTRY_CODE \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALES_SCHEMA}.CURRENCY_LOOKUP:
echo @
echo ALTER TABLE ${GOSALES_SCHEMA}.CURRENCY_LOOKUP ADD PRIMARY KEY \(COUNTRY_CODE \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALES_SCHEMA}.EURO_CONVERSION:
echo @
echo ALTER TABLE ${GOSALES_SCHEMA}.EURO_CONVERSION ADD PRIMARY KEY \(COUNTRY_CODE ,
echo EURO_YEAR ,
echo EURO_MONTH \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALES_SCHEMA}.INVENTORY_LEVELS:
echo @
echo ALTER TABLE ${GOSALES_SCHEMA}.INVENTORY_LEVELS ADD PRIMARY KEY \(INVENTORY_YEAR ,
echo INVENTORY_MONTH ,
echo WAREHOUSE_BRANCH_CODE ,
echo PRODUCT_NUMBER \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALES_SCHEMA}.ORDER_DETAILS:
echo @
echo ALTER TABLE ${GOSALES_SCHEMA}.ORDER_DETAILS ADD PRIMARY KEY \(ORDER_DETAIL_CODE \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALES_SCHEMA}.ORDER_HEADER:
echo @
echo ALTER TABLE ${GOSALES_SCHEMA}.ORDER_HEADER ADD PRIMARY KEY \(ORDER_NUMBER \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALES_SCHEMA}.ORDER_METHOD:
echo @
echo ALTER TABLE ${GOSALES_SCHEMA}.ORDER_METHOD ADD PRIMARY KEY \(ORDER_METHOD_CODE \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALES_SCHEMA}.PRODUCT:
echo @
echo ALTER TABLE ${GOSALES_SCHEMA}.PRODUCT ADD PRIMARY KEY \(PRODUCT_NUMBER \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALES_SCHEMA}.PRODUCT_COLOR_LOOKUP:
echo @
echo ALTER TABLE ${GOSALES_SCHEMA}.PRODUCT_COLOR_LOOKUP ADD PRIMARY KEY \(PRODUCT_COLOR_CODE \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALES_SCHEMA}.PRODUCT_FORECAST:
echo @
echo ALTER TABLE ${GOSALES_SCHEMA}.PRODUCT_FORECAST ADD PRIMARY KEY \(SALES_YEAR ,
echo SALES_MONTH ,
echo BRANCH_CODE ,
echo BASE_PRODUCT_NUMBER \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALES_SCHEMA}.PRODUCT_LINE:
echo @
echo ALTER TABLE ${GOSALES_SCHEMA}.PRODUCT_LINE ADD PRIMARY KEY \(PRODUCT_LINE_CODE \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALES_SCHEMA}.PRODUCT_NAME_LOOKUP:
echo @
echo ALTER TABLE ${GOSALES_SCHEMA}.PRODUCT_NAME_LOOKUP ADD PRIMARY KEY \(PRODUCT_NUMBER ,
echo PRODUCT_LANGUAGE \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALES_SCHEMA}.PRODUCT_SIZE_LOOKUP:
echo @
echo ALTER TABLE ${GOSALES_SCHEMA}.PRODUCT_SIZE_LOOKUP ADD PRIMARY KEY \(PRODUCT_SIZE_CODE \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALES_SCHEMA}.PRODUCT_BRAND:
echo @
echo ALTER TABLE ${GOSALES_SCHEMA}.PRODUCT_BRAND ADD PRIMARY KEY \(PRODUCT_BRAND_CODE \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALES_SCHEMA}.PRODUCT_TYPE:
echo @
echo ALTER TABLE ${GOSALES_SCHEMA}.PRODUCT_TYPE ADD PRIMARY KEY \(PRODUCT_TYPE_CODE \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALES_SCHEMA}.RETURN_REASON:
echo @
echo ALTER TABLE ${GOSALES_SCHEMA}.RETURN_REASON ADD PRIMARY KEY \(RETURN_REASON_CODE \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALES_SCHEMA}.RETURNED_ITEM:
echo @
echo ALTER TABLE ${GOSALES_SCHEMA}.RETURNED_ITEM ADD PRIMARY KEY \(RETURN_CODE \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALES_SCHEMA}.BRANCH:
echo @
echo ALTER TABLE ${GOSALES_SCHEMA}.BRANCH ADD PRIMARY KEY \(BRANCH_CODE \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALES_SCHEMA}.SALES_REGION:
echo @
echo ALTER TABLE ${GOSALES_SCHEMA}.SALES_REGION ADD PRIMARY KEY \(SALES_REGION_CODE \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALES_SCHEMA}.SALES_TARGET:
echo @
echo ALTER TABLE ${GOSALES_SCHEMA}.SALES_TARGET ADD PRIMARY KEY \(SALES_YEAR ,
echo SALES_PERIOD ,
echo COUNTRY_CODE_RETAILER ,
echo SALES_STAFF_CODE ,
echo RETAILER_CODE ,
echo PRODUCT_TYPE_CODE ,
echo PRODUCT_BRAND_CODE \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALES_SCHEMA}.TIME_DIMENSION:
echo @
echo ALTER TABLE ${GOSALES_SCHEMA}.TIME_DIMENSION ADD PRIMARY KEY \(DAY_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALES_SCHEMA}.TIME_QUARTER_LOOKUP:
echo @
echo ALTER TABLE ${GOSALES_SCHEMA}.TIME_QUARTER_LOOKUP ADD PRIMARY KEY \(QUARTER_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALES_SCHEMA}.XGOREV:
echo @
echo ALTER TABLE ${GOSALES_SCHEMA}.XGOREV ADD PRIMARY KEY \(GOREV_ID \)
echo @
echo
