#!/bin/sh
########################################################################
#   5724-E34
#   (c) Copyright IBM Corporation 2008, 2009.
#   All rights reserved.
#
#   The source code for this program is not published or otherwise
#   divested of its trade secrets, irrespective of what has been
#   deposited with the U.S. Copyright Office.
########################################################################


echo --CREATE INDEXES FOR GOSALES SCHEMA
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.PRODUCT_NAME_LOOKUP:
echo @
echo CREATE  INDEX ${GOSALES_SCHEMA}.IX2_1081106942 ON ${GOSALES_SCHEMA}.PRODUCT_NAME_LOOKUP \(PRODUCT_NAME \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.BRANCH:
echo @
echo CREATE  INDEX ${GOSALES_SCHEMA}.IX3_1355972007 ON ${GOSALES_SCHEMA}.BRANCH \(CITY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.RETURN_REASON:
echo @
echo CREATE  INDEX ${GOSALES_SCHEMA}.IX4_1106102981 ON ${GOSALES_SCHEMA}.RETURN_REASON \(REASON_DESCRIPTION_EN \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.BRANCH:
echo @
echo CREATE  INDEX ${GOSALES_SCHEMA}.IX4_1355972007 ON ${GOSALES_SCHEMA}.BRANCH \(COUNTRY_CODE \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.ORDER_METHOD:
echo @
echo CREATE  INDEX ${GOSALES_SCHEMA}.IX4_1685581043 ON ${GOSALES_SCHEMA}.ORDER_METHOD \(ORDER_METHOD_EN \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.PRODUCT_LINE:
echo @
echo CREATE  INDEX ${GOSALES_SCHEMA}.IX4_1884585802 ON ${GOSALES_SCHEMA}.PRODUCT_LINE \(PRODUCT_LINE_EN \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.PRODUCT_TYPE:
echo @
echo CREATE  INDEX ${GOSALES_SCHEMA}.IX4_1996586201 ON ${GOSALES_SCHEMA}.PRODUCT_TYPE \(PRODUCT_LINE_CODE \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.RETURN_REASON:
echo @
echo CREATE  INDEX ${GOSALES_SCHEMA}.IX5_1106102981 ON ${GOSALES_SCHEMA}.RETURN_REASON \(REASON_DESCRIPTION_FR \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.ORDER_METHOD:
echo @
echo CREATE  INDEX ${GOSALES_SCHEMA}.IX5_1685581043 ON ${GOSALES_SCHEMA}.ORDER_METHOD \(ORDER_METHOD_FR \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.PRODUCT_LINE:
echo @
echo CREATE  INDEX ${GOSALES_SCHEMA}.IX5_1884585802 ON ${GOSALES_SCHEMA}.PRODUCT_LINE \(PRODUCT_LINE_FR \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.PRODUCT_TYPE:
echo @
echo CREATE  INDEX ${GOSALES_SCHEMA}.IX5_1996586201 ON ${GOSALES_SCHEMA}.PRODUCT_TYPE \(PRODUCT_TYPE_EN \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.RETURN_REASON:
echo @
echo CREATE  INDEX ${GOSALES_SCHEMA}.IX6_1106102981 ON ${GOSALES_SCHEMA}.RETURN_REASON \(REASON_DESCRIPTION_DE \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.BRANCH:
echo @
echo CREATE  INDEX ${GOSALES_SCHEMA}.IX6_1355972007 ON ${GOSALES_SCHEMA}.BRANCH \(CITY_MB \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.ORDER_METHOD:
echo @
echo CREATE  INDEX ${GOSALES_SCHEMA}.IX6_1685581043 ON ${GOSALES_SCHEMA}.ORDER_METHOD \(ORDER_METHOD_DE \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.PRODUCT_LINE:
echo @
echo CREATE  INDEX ${GOSALES_SCHEMA}.IX6_1884585802 ON ${GOSALES_SCHEMA}.PRODUCT_LINE \(PRODUCT_LINE_DE \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.PRODUCT_TYPE:
echo @
echo CREATE  INDEX ${GOSALES_SCHEMA}.IX6_1996586201 ON ${GOSALES_SCHEMA}.PRODUCT_TYPE \(PRODUCT_TYPE_FR \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.RETURN_REASON:
echo @
echo CREATE  INDEX ${GOSALES_SCHEMA}.IX7_1106102981 ON ${GOSALES_SCHEMA}.RETURN_REASON \(REASON_DESCRIPTION_JA \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.ORDER_METHOD:
echo @
echo CREATE  INDEX ${GOSALES_SCHEMA}.IX7_1685581043 ON ${GOSALES_SCHEMA}.ORDER_METHOD \(ORDER_METHOD_JA \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.PRODUCT_LINE:
echo @
echo CREATE  INDEX ${GOSALES_SCHEMA}.IX7_1884585802 ON ${GOSALES_SCHEMA}.PRODUCT_LINE \(PRODUCT_LINE_JA \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.PRODUCT_TYPE:
echo @
echo CREATE  INDEX ${GOSALES_SCHEMA}.IX7_1996586201 ON ${GOSALES_SCHEMA}.PRODUCT_TYPE \(PRODUCT_TYPE_DE \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.PRODUCT_TYPE:
echo @
echo CREATE  INDEX ${GOSALES_SCHEMA}.IX8_1996586201 ON ${GOSALES_SCHEMA}.PRODUCT_TYPE \(PRODUCT_TYPE_JA \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.CONVERSION_RATE:
echo @
echo CREATE UNIQUE  INDEX ${GOSALES_SCHEMA}.IX090616145900310 ON ${GOSALES_SCHEMA}.CONVERSION_RATE \(COUNTRY_CODE ,
echo CONVERSION_YEAR ,
echo CONVERSION_MONTH \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.COUNTRY:
echo @
echo CREATE UNIQUE  INDEX ${GOSALES_SCHEMA}.IX090616145900510 ON ${GOSALES_SCHEMA}.COUNTRY \(COUNTRY_CODE \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.CURRENCY_LOOKUP:
echo @
echo CREATE UNIQUE  INDEX ${GOSALES_SCHEMA}.IX090616145900560 ON ${GOSALES_SCHEMA}.CURRENCY_LOOKUP \(COUNTRY_CODE \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.EURO_CONVERSION:
echo @
echo CREATE UNIQUE  INDEX ${GOSALES_SCHEMA}.IX090616145900620 ON ${GOSALES_SCHEMA}.EURO_CONVERSION \(COUNTRY_CODE ,
echo EURO_YEAR ,
echo EURO_MONTH \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.INVENTORY_LEVELS:
echo @
echo CREATE UNIQUE  INDEX ${GOSALES_SCHEMA}.IX090616145900680 ON ${GOSALES_SCHEMA}.INVENTORY_LEVELS \(INVENTORY_YEAR ,
echo INVENTORY_MONTH ,
echo WAREHOUSE_BRANCH_CODE ,
echo PRODUCT_NUMBER \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.ORDER_DETAILS:
echo @
echo CREATE UNIQUE  INDEX ${GOSALES_SCHEMA}.IX090616145901280 ON ${GOSALES_SCHEMA}.ORDER_DETAILS \(ORDER_DETAIL_CODE \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.ORDER_HEADER:
echo @
echo CREATE UNIQUE  INDEX ${GOSALES_SCHEMA}.IX090616145903040 ON ${GOSALES_SCHEMA}.ORDER_HEADER \(ORDER_NUMBER \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.ORDER_METHOD:
echo @
echo CREATE UNIQUE  INDEX ${GOSALES_SCHEMA}.IX090616145903350 ON ${GOSALES_SCHEMA}.ORDER_METHOD \(ORDER_METHOD_CODE \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.PRODUCT:
echo @
echo CREATE UNIQUE  INDEX ${GOSALES_SCHEMA}.IX090616145903430 ON ${GOSALES_SCHEMA}.PRODUCT \(PRODUCT_NUMBER \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.PRODUCT_COLOR_LOOKUP:
echo @
echo CREATE UNIQUE  INDEX ${GOSALES_SCHEMA}.IX090616145903480 ON ${GOSALES_SCHEMA}.PRODUCT_COLOR_LOOKUP \(PRODUCT_COLOR_CODE \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.PRODUCT_FORECAST:
echo @
echo CREATE UNIQUE  INDEX ${GOSALES_SCHEMA}.IX090616145903590 ON ${GOSALES_SCHEMA}.PRODUCT_FORECAST \(SALES_YEAR ,
echo SALES_MONTH ,
echo BRANCH_CODE ,
echo BASE_PRODUCT_NUMBER \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.PRODUCT_LINE:
echo @
echo CREATE UNIQUE  INDEX ${GOSALES_SCHEMA}.IX090616145904430 ON ${GOSALES_SCHEMA}.PRODUCT_LINE \(PRODUCT_LINE_CODE \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.PRODUCT_NAME_LOOKUP:
echo @
echo CREATE UNIQUE  INDEX ${GOSALES_SCHEMA}.IX090616145904500 ON ${GOSALES_SCHEMA}.PRODUCT_NAME_LOOKUP \(PRODUCT_NUMBER ,
echo PRODUCT_LANGUAGE \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.PRODUCT_SIZE_LOOKUP:
echo @
echo CREATE UNIQUE  INDEX ${GOSALES_SCHEMA}.IX090616145904620 ON ${GOSALES_SCHEMA}.PRODUCT_SIZE_LOOKUP \(PRODUCT_SIZE_CODE \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.PRODUCT_BRAND:
echo @
echo CREATE UNIQUE  INDEX ${GOSALES_SCHEMA}.IX090616145904700 ON ${GOSALES_SCHEMA}.PRODUCT_BRAND \(PRODUCT_BRAND_CODE \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.PRODUCT_TYPE:
echo @
echo CREATE UNIQUE  INDEX ${GOSALES_SCHEMA}.IX090616145904780 ON ${GOSALES_SCHEMA}.PRODUCT_TYPE \(PRODUCT_TYPE_CODE \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.RETURN_REASON:
echo @
echo CREATE UNIQUE  INDEX ${GOSALES_SCHEMA}.IX090616145904820 ON ${GOSALES_SCHEMA}.RETURN_REASON \(RETURN_REASON_CODE \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.RETURNED_ITEM:
echo @
echo CREATE UNIQUE  INDEX ${GOSALES_SCHEMA}.IX090616145904890 ON ${GOSALES_SCHEMA}.RETURNED_ITEM \(RETURN_CODE \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.BRANCH:
echo @
echo CREATE UNIQUE  INDEX ${GOSALES_SCHEMA}.IX090616145905000 ON ${GOSALES_SCHEMA}.BRANCH \(BRANCH_CODE \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.SALES_REGION:
echo @
echo CREATE UNIQUE  INDEX ${GOSALES_SCHEMA}.IX090616145905090 ON ${GOSALES_SCHEMA}.SALES_REGION \(SALES_REGION_CODE \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.SALES_TARGET:
echo @
echo CREATE UNIQUE  INDEX ${GOSALES_SCHEMA}.IX090616145905140 ON ${GOSALES_SCHEMA}.SALES_TARGET \(SALES_YEAR ,
echo SALES_PERIOD ,
echo COUNTRY_CODE_RETAILER ,
echo SALES_STAFF_CODE ,
echo RETAILER_CODE ,
echo PRODUCT_TYPE_CODE ,
echo PRODUCT_BRAND_CODE \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.TIME_DIMENSION:
echo @
echo CREATE UNIQUE  INDEX ${GOSALES_SCHEMA}.IX090616145906650 ON ${GOSALES_SCHEMA}.TIME_DIMENSION \(DAY_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.TIME_QUARTER_LOOKUP:
echo @
echo CREATE UNIQUE  INDEX ${GOSALES_SCHEMA}.IX090616145906790 ON ${GOSALES_SCHEMA}.TIME_QUARTER_LOOKUP \(QUARTER_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALES_SCHEMA}.XGOREV:
echo @
echo CREATE UNIQUE  INDEX ${GOSALES_SCHEMA}.IX090616145906850 ON ${GOSALES_SCHEMA}.XGOREV \(GOREV_ID \)
echo @
echo

