#!/bin/sh
########################################################################
#   5724-E34
#   (c) Copyright IBM Corporation 2008, 2009.
#   All rights reserved.
#
#   The source code for this program is not published or otherwise
#   divested of its trade secrets, irrespective of what has been
#   deposited with the U.S. Copyright Office.
########################################################################

echo --CREATE TABLES FOR GOSALESMR SCHEMA
echo echo CREATING TABLE ${GOSALESMR_SCHEMA}.PRODUCT_SURVEY_RESULTS:
echo @
echo CREATE TABLE ${GOSALESMR_SCHEMA}.PRODUCT_SURVEY_RESULTS \(PRODUCT_SURVEY_DATE TIMESTAMP NOT NULL,
echo ORGANIZATION_CODE VARCHAR \(30         \)NOT NULL,
echo COUNTRY_CODE_RETAILER INTEGER NOT NULL,
echo SALES_BRANCH_CODE INTEGER NOT NULL,
echo PRODUCT_NUMBER INTEGER NOT NULL,
echo PRODUCT_TOPIC_CODE INTEGER NOT NULL,
echo PRODUCT_TOPIC_SCORE DOUBLE \)
echo @
echo echo CREATING TABLE ${GOSALESMR_SCHEMA}.PRODUCT_SURVEY_TARGETS:
echo @
echo CREATE TABLE ${GOSALESMR_SCHEMA}.PRODUCT_SURVEY_TARGETS \(PRODUCT_SURVEY_YEAR INTEGER NOT NULL,
echo PRODUCT_SURVEY_MONTH INTEGER NOT NULL,
echo PRODUCT_NUMBER INTEGER NOT NULL,
echo PRODUCT_TOPIC_CODE INTEGER NOT NULL,
echo PRODUCT_TOPIC_TARGET DOUBLE \)
echo @
echo echo CREATING TABLE ${GOSALESMR_SCHEMA}.PRODUCT_SURVEY_TOPIC:
echo @
echo CREATE TABLE ${GOSALESMR_SCHEMA}.PRODUCT_SURVEY_TOPIC \(PRODUCT_TOPIC_CODE INTEGER NOT NULL,
echo PRODUCT_TOPIC_EN VARCHAR \(120        \),
echo PRODUCT_TOPIC_DE VARCHAR \(120        \),
echo PRODUCT_TOPIC_FR VARCHAR \(120        \),
echo PRODUCT_TOPIC_JA VARCHAR \(120        \),
echo PRODUCT_TOPIC_CS VARCHAR \(120        \),
echo PRODUCT_TOPIC_DA VARCHAR \(120        \),
echo PRODUCT_TOPIC_EL VARCHAR \(120        \),
echo PRODUCT_TOPIC_ES VARCHAR \(120        \),
echo PRODUCT_TOPIC_FI VARCHAR \(120        \),
echo PRODUCT_TOPIC_HU VARCHAR \(120        \),
echo PRODUCT_TOPIC_ID VARCHAR \(120        \),
echo PRODUCT_TOPIC_IT VARCHAR \(120        \),
echo PRODUCT_TOPIC_KO VARCHAR \(120        \),
echo PRODUCT_TOPIC_MS VARCHAR \(120        \),
echo PRODUCT_TOPIC_NL VARCHAR \(120        \),
echo PRODUCT_TOPIC_NO VARCHAR \(120        \),
echo PRODUCT_TOPIC_PL VARCHAR \(120        \),
echo PRODUCT_TOPIC_PT VARCHAR \(120        \),
echo PRODUCT_TOPIC_RU VARCHAR \(120        \),
echo PRODUCT_TOPIC_SC VARCHAR \(120        \),
echo PRODUCT_TOPIC_SV VARCHAR \(120        \),
echo PRODUCT_TOPIC_TC VARCHAR \(120        \),
echo PRODUCT_TOPIC_TH VARCHAR \(120        \)\)
echo @
echo echo CREATING TABLE ${GOSALESMR_SCHEMA}.PROMOTIONS:
echo @
echo CREATE TABLE ${GOSALESMR_SCHEMA}.PROMOTIONS \(PROMOTION_CODE INTEGER NOT NULL,
echo CAMPAIGN_CODE INTEGER ,
echo BUNDLE_GROUP_CODE INTEGER ,
echo PROMOTION_NAME_EN VARCHAR \(180        \),
echo PROMOTION_NAME_DE VARCHAR \(180        \),
echo PROMOTION_NAME_FR VARCHAR \(180        \),
echo PROMOTION_NAME_JA VARCHAR \(180        \),
echo PROMOTION_NAME_CS VARCHAR \(180        \),
echo PROMOTION_NAME_DA VARCHAR \(180        \),
echo PROMOTION_NAME_EL VARCHAR \(180        \),
echo PROMOTION_NAME_ES VARCHAR \(180        \),
echo PROMOTION_NAME_FI VARCHAR \(180        \),
echo PROMOTION_NAME_HU VARCHAR \(180        \),
echo PROMOTION_NAME_ID VARCHAR \(180        \),
echo PROMOTION_NAME_IT VARCHAR \(180        \),
echo PROMOTION_NAME_KO VARCHAR \(180        \),
echo PROMOTION_NAME_MS VARCHAR \(180        \),
echo PROMOTION_NAME_NL VARCHAR \(180        \),
echo PROMOTION_NAME_NO VARCHAR \(180        \),
echo PROMOTION_NAME_PL VARCHAR \(180        \),
echo PROMOTION_NAME_PT VARCHAR \(180        \),
echo PROMOTION_NAME_RU VARCHAR \(180        \),
echo PROMOTION_NAME_SC VARCHAR \(180        \),
echo PROMOTION_NAME_SV VARCHAR \(180        \),
echo PROMOTION_NAME_TC VARCHAR \(180        \),
echo PROMOTION_NAME_TH VARCHAR \(180        \)\)
echo @
echo echo CREATING TABLE ${GOSALESMR_SCHEMA}.PROMOTION_BUNDLE_GROUP:
echo @
echo CREATE TABLE ${GOSALESMR_SCHEMA}.PROMOTION_BUNDLE_GROUP \(BUNDLE_GROUP_CODE INTEGER NOT NULL,
echo BUNDLE_GROUP_EN VARCHAR \(120        \),
echo BUNDLE_GROUP_DE VARCHAR \(120        \),
echo BUNDLE_GROUP_FR VARCHAR \(120        \),
echo BUNDLE_GROUP_JA VARCHAR \(120        \),
echo BUNDLE_GROUP_CS VARCHAR \(120        \),
echo BUNDLE_GROUP_DA VARCHAR \(120        \),
echo BUNDLE_GROUP_EL VARCHAR \(120        \),
echo BUNDLE_GROUP_ES VARCHAR \(120        \),
echo BUNDLE_GROUP_FI VARCHAR \(120        \),
echo BUNDLE_GROUP_HU VARCHAR \(120        \),
echo BUNDLE_GROUP_ID VARCHAR \(120        \),
echo BUNDLE_GROUP_IT VARCHAR \(120        \),
echo BUNDLE_GROUP_KO VARCHAR \(120        \),
echo BUNDLE_GROUP_MS VARCHAR \(120        \),
echo BUNDLE_GROUP_NL VARCHAR \(120        \),
echo BUNDLE_GROUP_NO VARCHAR \(120        \),
echo BUNDLE_GROUP_PL VARCHAR \(120        \),
echo BUNDLE_GROUP_PT VARCHAR \(120        \),
echo BUNDLE_GROUP_RU VARCHAR \(120        \),
echo BUNDLE_GROUP_SC VARCHAR \(120        \),
echo BUNDLE_GROUP_SV VARCHAR \(120        \),
echo BUNDLE_GROUP_TC VARCHAR \(120        \),
echo BUNDLE_GROUP_TH VARCHAR \(120        \)\)
echo @
echo echo CREATING TABLE ${GOSALESMR_SCHEMA}.PROMOTION_CAMPAIGN:
echo @
echo CREATE TABLE ${GOSALESMR_SCHEMA}.PROMOTION_CAMPAIGN \(CAMPAIGN_CODE INTEGER NOT NULL,
echo CAMPAIGN_NAME_EN VARCHAR \(150        \),
echo CAMPAIGN_NAME_DE VARCHAR \(150        \),
echo CAMPAIGN_NAME_FR VARCHAR \(150        \),
echo CAMPAIGN_NAME_JA VARCHAR \(150        \),
echo CAMPAIGN_NAME_CS VARCHAR \(150        \),
echo CAMPAIGN_NAME_DA VARCHAR \(150        \),
echo CAMPAIGN_NAME_EL VARCHAR \(150        \),
echo CAMPAIGN_NAME_ES VARCHAR \(150        \),
echo CAMPAIGN_NAME_FI VARCHAR \(150        \),
echo CAMPAIGN_NAME_HU VARCHAR \(150        \),
echo CAMPAIGN_NAME_ID VARCHAR \(150        \),
echo CAMPAIGN_NAME_IT VARCHAR \(150        \),
echo CAMPAIGN_NAME_KO VARCHAR \(150        \),
echo CAMPAIGN_NAME_MS VARCHAR \(150        \),
echo CAMPAIGN_NAME_NL VARCHAR \(150        \),
echo CAMPAIGN_NAME_NO VARCHAR \(150        \),
echo CAMPAIGN_NAME_PL VARCHAR \(150        \),
echo CAMPAIGN_NAME_PT VARCHAR \(150        \),
echo CAMPAIGN_NAME_RU VARCHAR \(150        \),
echo CAMPAIGN_NAME_SC VARCHAR \(150        \),
echo CAMPAIGN_NAME_SV VARCHAR \(150        \),
echo CAMPAIGN_NAME_TC VARCHAR \(150        \),
echo CAMPAIGN_NAME_TH VARCHAR \(150        \)\)
echo @
echo echo CREATING TABLE ${GOSALESMR_SCHEMA}.PROMOTION_PLAN:
echo @
echo CREATE TABLE ${GOSALESMR_SCHEMA}.PROMOTION_PLAN \(PROMOTION_YEAR INTEGER NOT NULL,
echo PROMOTION_MONTH INTEGER NOT NULL,
echo ORGANIZATION_CODE VARCHAR \(30         \)NOT NULL,
echo COUNTRY_CODE_RETAILER INTEGER NOT NULL,
echo SALES_BRANCH_CODE INTEGER NOT NULL,
echo PRODUCT_NUMBER INTEGER NOT NULL,
echo PROMOTION_CODE INTEGER NOT NULL,
echo UNIT_COST DECIMAL \(19         ,2     \),
echo UNIT_PRICE DECIMAL \(19         ,2     \),
echo UNIT_SALE_PRICE DECIMAL \(19         ,2     \),
echo PROMOTION_PLAN_QUANTITY INTEGER ,
echo PROMOTION_PLAN_REVENUE DECIMAL \(19         ,2     \)\)
echo @
echo echo CREATING TABLE ${GOSALESMR_SCHEMA}.RETAILER_SURVEY_RESULTS:
echo @
echo CREATE TABLE ${GOSALESMR_SCHEMA}.RETAILER_SURVEY_RESULTS \(RETAILER_SURVEY_DATE TIMESTAMP NOT NULL,
echo ORGANIZATION_CODE VARCHAR \(30         \)NOT NULL,
echo COUNTRY_CODE_RETAILER INTEGER NOT NULL,
echo SALES_BRANCH_CODE INTEGER NOT NULL,
echo RETAILER_CODE INTEGER NOT NULL,
echo RETAILER_TOPIC_CODE INTEGER NOT NULL,
echo RETAILER_TOPIC_SCORE DOUBLE \)
echo @
echo echo CREATING TABLE ${GOSALESMR_SCHEMA}.RETAILER_SURVEY_TARGETS:
echo @
echo CREATE TABLE ${GOSALESMR_SCHEMA}.RETAILER_SURVEY_TARGETS \(RETAILER_TOPIC_CODE INTEGER NOT NULL,
echo RETAILER_SURVEY_YEAR SMALLINT NOT NULL,
echo RETAILER_SURVEY_MONTH SMALLINT NOT NULL,
echo RETAILER_TOPIC_WEIGHT INTEGER ,
echo RETAILER_TOPIC_TARGET DOUBLE \)
echo @
echo echo CREATING TABLE ${GOSALESMR_SCHEMA}.RETAILER_SURVEY_TOPIC:
echo @
echo CREATE TABLE ${GOSALESMR_SCHEMA}.RETAILER_SURVEY_TOPIC \(RETAILER_TOPIC_CODE INTEGER NOT NULL,
echo RETAILER_TOPIC_EN VARCHAR \(150        \),
echo RETAILER_TOPIC_DE VARCHAR \(150        \),
echo RETAILER_TOPIC_FR VARCHAR \(150        \),
echo RETAILER_TOPIC_JA VARCHAR \(150        \),
echo RETAILER_TOPIC_CS VARCHAR \(150        \),
echo RETAILER_TOPIC_DA VARCHAR \(150        \),
echo RETAILER_TOPIC_EL VARCHAR \(150        \),
echo RETAILER_TOPIC_ES VARCHAR \(150        \),
echo RETAILER_TOPIC_FI VARCHAR \(150        \),
echo RETAILER_TOPIC_HU VARCHAR \(150        \),
echo RETAILER_TOPIC_ID VARCHAR \(150        \),
echo RETAILER_TOPIC_IT VARCHAR \(150        \),
echo RETAILER_TOPIC_KO VARCHAR \(150        \),
echo RETAILER_TOPIC_MS VARCHAR \(150        \),
echo RETAILER_TOPIC_NL VARCHAR \(150        \),
echo RETAILER_TOPIC_NO VARCHAR \(150        \),
echo RETAILER_TOPIC_PL VARCHAR \(150        \),
echo RETAILER_TOPIC_PT VARCHAR \(150        \),
echo RETAILER_TOPIC_RU VARCHAR \(150        \),
echo RETAILER_TOPIC_SC VARCHAR \(150        \),
echo RETAILER_TOPIC_SV VARCHAR \(150        \),
echo RETAILER_TOPIC_TC VARCHAR \(150        \),
echo RETAILER_TOPIC_TH VARCHAR \(150        \)\)
echo @
echo


