#!/bin/sh
########################################################################
#   5724-E34
#   (c) Copyright IBM Corporation 2008, 2009.
#   All rights reserved.
#
#   The source code for this program is not published or otherwise
#   divested of its trade secrets, irrespective of what has been
#   deposited with the U.S. Copyright Office.
########################################################################

echo --CREATE GRANTS FOR GOSALESDW SCHEMA
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.DIST_INVENTORY_FACT:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.DIST_INVENTORY_FACT TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.DIST_PRODUCT_FORECAST_FACT:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.DIST_PRODUCT_FORECAST_FACT TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.DIST_RETURNED_ITEMS_FACT:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.DIST_RETURNED_ITEMS_FACT TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.DIST_RETURN_REASON_DIM:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.DIST_RETURN_REASON_DIM TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.EMP_EMPLOYEE_DIM:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.EMP_EMPLOYEE_DIM TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.EMP_EXPENSE_FACT:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.EMP_EXPENSE_FACT TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.EMP_EXPENSE_PLAN_FACT:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.EMP_EXPENSE_PLAN_FACT TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.EMP_EXPENSE_TYPE_DIM:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.EMP_EXPENSE_TYPE_DIM TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.EMP_EXPENSE_UNIT_LOOKUP:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.EMP_EXPENSE_UNIT_LOOKUP TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.EMP_POSITION_DIM:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.EMP_POSITION_DIM TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.EMP_POSITION_LOOKUP:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.EMP_POSITION_LOOKUP TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.EMP_POSITION_SUMMARY_FACT:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.EMP_POSITION_SUMMARY_FACT TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.EMP_RANKING_DIM:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.EMP_RANKING_DIM TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.EMP_RANKING_FACT:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.EMP_RANKING_FACT TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.EMP_RECRUITMENT_DIM:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.EMP_RECRUITMENT_DIM TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.EMP_RECRUITMENT_FACT:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.EMP_RECRUITMENT_FACT TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.EMP_SUCCESSION_FACT:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.EMP_SUCCESSION_FACT TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.EMP_SUCCESSION_STATUS_DIM:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.EMP_SUCCESSION_STATUS_DIM TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.EMP_SUMMARY_FACT:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.EMP_SUMMARY_FACT TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.EMP_SURVEY_FACT:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.EMP_SURVEY_FACT TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.EMP_SURVEY_TARG_FACT:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.EMP_SURVEY_TARG_FACT TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.EMP_SURVEY_TOPIC_DIM:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.EMP_SURVEY_TOPIC_DIM TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.EMP_TERMINATION_LOOKUP:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.EMP_TERMINATION_LOOKUP TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.EMP_TRAINING_DIM:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.EMP_TRAINING_DIM TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.EMP_TRAINING_FACT:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.EMP_TRAINING_FACT TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.FIN_ACCOUNT_CLASS_LOOKUP:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.FIN_ACCOUNT_CLASS_LOOKUP TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.FIN_ACCOUNT_DIM:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.FIN_ACCOUNT_DIM TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.FIN_ACCOUNT_NAME_LOOKUP:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.FIN_ACCOUNT_NAME_LOOKUP TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.FIN_ACCOUNT_TYPE_LOOKUP:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.FIN_ACCOUNT_TYPE_LOOKUP TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.FIN_FINANCE_FACT:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.FIN_FINANCE_FACT TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.FIN_SUBM_CURRENCY_LOOKUP:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.FIN_SUBM_CURRENCY_LOOKUP TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.FIN_SUBM_DIM:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.FIN_SUBM_DIM TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.FIN_SUBM_TYPE_LOOKUP:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.FIN_SUBM_TYPE_LOOKUP TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.GO_BRANCH_DIM:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.GO_BRANCH_DIM TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.GO_GENDER_LOOKUP:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.GO_GENDER_LOOKUP TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.GO_ORG_DIM:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.GO_ORG_DIM TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.GO_ORG_NAME_LOOKUP:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.GO_ORG_NAME_LOOKUP TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.GO_REGION_DIM:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.GO_REGION_DIM TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.GO_SATISFACTION_DIM:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.GO_SATISFACTION_DIM TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.GO_TIME_DIM:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.GO_TIME_DIM TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.GO_TIME_QUARTER_LOOKUP:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.GO_TIME_QUARTER_LOOKUP TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.MRK_ACTIVITY_STATUS_DIM:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.MRK_ACTIVITY_STATUS_DIM TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.MRK_BUNDLE_GROUP_LOOKUP:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.MRK_BUNDLE_GROUP_LOOKUP TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.MRK_CAMPAIGN_LOOKUP:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.MRK_CAMPAIGN_LOOKUP TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.MRK_PRODUCT_SURVEY_DIM:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.MRK_PRODUCT_SURVEY_DIM TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.MRK_PRODUCT_SURVEY_FACT:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.MRK_PRODUCT_SURVEY_FACT TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.MRK_PROD_SURVEY_TARG_FACT:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.MRK_PROD_SURVEY_TARG_FACT TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.MRK_PROMOTION_DIM:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.MRK_PROMOTION_DIM TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.MRK_PROMOTION_FACT:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.MRK_PROMOTION_FACT TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.MRK_PROMOTION_PLAN_FACT:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.MRK_PROMOTION_PLAN_FACT TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.MRK_RTL_SURVEY_DIM:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.MRK_RTL_SURVEY_DIM TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.MRK_RTL_SURVEY_FACT:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.MRK_RTL_SURVEY_FACT TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.MRK_RTL_SURVEY_TARG_FACT:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.MRK_RTL_SURVEY_TARG_FACT TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.SLS_ORDER_METHOD_DIM:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.SLS_ORDER_METHOD_DIM TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.SLS_PRODUCT_BRAND_LOOKUP:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.SLS_PRODUCT_BRAND_LOOKUP TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.SLS_PRODUCT_COLOR_LOOKUP:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.SLS_PRODUCT_COLOR_LOOKUP TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.SLS_PRODUCT_DIM:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.SLS_PRODUCT_DIM TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.SLS_PRODUCT_LINE_LOOKUP:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.SLS_PRODUCT_LINE_LOOKUP TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.SLS_PRODUCT_LOOKUP:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.SLS_PRODUCT_LOOKUP TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.SLS_PRODUCT_SIZE_LOOKUP:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.SLS_PRODUCT_SIZE_LOOKUP TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.SLS_PRODUCT_TYPE_LOOKUP:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.SLS_PRODUCT_TYPE_LOOKUP TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.SLS_RTL_DIM:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.SLS_RTL_DIM TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.SLS_SALES_FACT:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.SLS_SALES_FACT TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.SLS_SALES_ORDER_DIM:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.SLS_SALES_ORDER_DIM TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.SLS_SALES_TARG_FACT:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.SLS_SALES_TARG_FACT TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.VIEW_ACCOUNT_DIM:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.VIEW_ACCOUNT_DIM TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.VIEW_BALANCED_ORG_DIM:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.VIEW_BALANCED_ORG_DIM TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.VIEW_ORG_DIM:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.VIEW_ORG_DIM TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.VIEW_PRODUCT_NAME:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.VIEW_PRODUCT_NAME TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.VIEW_STATEMENT_FACT:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.VIEW_STATEMENT_FACT TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.VIEW_SUBMISSION_DIM:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.VIEW_SUBMISSION_DIM TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.VIEW_TIME_MONTH_DIM:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.VIEW_TIME_MONTH_DIM TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.VW_ACTIVE_EMPLOYEE_DIM:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.VW_ACTIVE_EMPLOYEE_DIM TO ${GOSALESDW_GRANTEES}
echo @
echo echo CREATING GRANTS ON TABLE ${GOSALESDW_SCHEMA}.XGOREV:
echo @
echo  GRANT ALL ON ${GOSALESDW_SCHEMA}.XGOREV TO ${GOSALESDW_GRANTEES}
echo @
echo
