@echo OFF
REM *******************************************************************
REM *  5724-E34
REM *  (c) Copyright IBM Corporation 2008, 2009.
REM *  All rights reserved.
REM *
REM *  The source code for this program is not published or otherwise
REM *  divested of its trade secrets, irrespective of what has been
REM *  deposited with the U.S. Copyright Office.
REM *******************************************************************
REM *
REM ************************************************************************
REM * Verify that the script was called correctly
REM ************************************************************************
IF "%GOSALES_START%"=="1" GOTO CONTINUE_RUN
echo This script must be called from "setupGSDB.bat" - Quitting
GOTO :EOF
:CONTINUE_RUN

echo --CREATE INDEXES FOR GOSALES SCHEMA
echo  echo CREATING INDEX ON TABLE %GOSALES_SCHEMA%.PRODUCT_NAME_LOOKUP:
echo @
echo CREATE  INDEX IX2_1081106942 ON %GOSALES_SCHEMA%.PRODUCT_NAME_LOOKUP (PRODUCT_NAME )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALES_SCHEMA%.BRANCH:
echo @
echo CREATE  INDEX IX3_1355972007 ON %GOSALES_SCHEMA%.BRANCH (CITY )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALES_SCHEMA%.RETURN_REASON:
echo @
echo CREATE  INDEX IX4_1106102981 ON %GOSALES_SCHEMA%.RETURN_REASON (REASON_DESCRIPTION_EN )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALES_SCHEMA%.BRANCH:
echo @
echo CREATE  INDEX IX4_1355972007 ON %GOSALES_SCHEMA%.BRANCH (COUNTRY_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALES_SCHEMA%.ORDER_METHOD:
echo @
echo CREATE  INDEX IX4_1685581043 ON %GOSALES_SCHEMA%.ORDER_METHOD (ORDER_METHOD_EN )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALES_SCHEMA%.PRODUCT_LINE:
echo @
echo CREATE  INDEX IX4_1884585802 ON %GOSALES_SCHEMA%.PRODUCT_LINE (PRODUCT_LINE_EN )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALES_SCHEMA%.PRODUCT_TYPE:
echo @
echo CREATE  INDEX IX4_1996586201 ON %GOSALES_SCHEMA%.PRODUCT_TYPE (PRODUCT_LINE_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALES_SCHEMA%.RETURN_REASON:
echo @
echo CREATE  INDEX IX5_1106102981 ON %GOSALES_SCHEMA%.RETURN_REASON (REASON_DESCRIPTION_FR )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALES_SCHEMA%.ORDER_METHOD:
echo @
echo CREATE  INDEX IX5_1685581043 ON %GOSALES_SCHEMA%.ORDER_METHOD (ORDER_METHOD_FR )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALES_SCHEMA%.PRODUCT_LINE:
echo @
echo CREATE  INDEX IX5_1884585802 ON %GOSALES_SCHEMA%.PRODUCT_LINE (PRODUCT_LINE_FR )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALES_SCHEMA%.PRODUCT_TYPE:
echo @
echo CREATE  INDEX IX5_1996586201 ON %GOSALES_SCHEMA%.PRODUCT_TYPE (PRODUCT_TYPE_EN )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALES_SCHEMA%.RETURN_REASON:
echo @
echo CREATE  INDEX IX6_1106102981 ON %GOSALES_SCHEMA%.RETURN_REASON (REASON_DESCRIPTION_DE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALES_SCHEMA%.BRANCH:
echo @
echo CREATE  INDEX IX6_1355972007 ON %GOSALES_SCHEMA%.BRANCH (CITY_MB )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALES_SCHEMA%.ORDER_METHOD:
echo @
echo CREATE  INDEX IX6_1685581043 ON %GOSALES_SCHEMA%.ORDER_METHOD (ORDER_METHOD_DE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALES_SCHEMA%.PRODUCT_LINE:
echo @
echo CREATE  INDEX IX6_1884585802 ON %GOSALES_SCHEMA%.PRODUCT_LINE (PRODUCT_LINE_DE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALES_SCHEMA%.PRODUCT_TYPE:
echo @
echo CREATE  INDEX IX6_1996586201 ON %GOSALES_SCHEMA%.PRODUCT_TYPE (PRODUCT_TYPE_FR )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALES_SCHEMA%.RETURN_REASON:
echo @
echo CREATE  INDEX IX7_1106102981 ON %GOSALES_SCHEMA%.RETURN_REASON (REASON_DESCRIPTION_JA )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALES_SCHEMA%.ORDER_METHOD:
echo @
echo CREATE  INDEX IX7_1685581043 ON %GOSALES_SCHEMA%.ORDER_METHOD (ORDER_METHOD_JA )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALES_SCHEMA%.PRODUCT_LINE:
echo @
echo CREATE  INDEX IX7_1884585802 ON %GOSALES_SCHEMA%.PRODUCT_LINE (PRODUCT_LINE_JA )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALES_SCHEMA%.PRODUCT_TYPE:
echo @
echo CREATE  INDEX IX7_1996586201 ON %GOSALES_SCHEMA%.PRODUCT_TYPE (PRODUCT_TYPE_DE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALES_SCHEMA%.PRODUCT_TYPE:
echo @
echo CREATE  INDEX IX8_1996586201 ON %GOSALES_SCHEMA%.PRODUCT_TYPE (PRODUCT_TYPE_JA )
echo @
echo.

