@echo OFF
REM *******************************************************************
REM *  5724-E34
REM *  (c) Copyright IBM Corporation 2008, 2009.
REM *  All rights reserved.
REM *
REM *  The source code for this program is not published or otherwise
REM *  divested of its trade secrets, irrespective of what has been
REM *  deposited with the U.S. Copyright Office.
REM *******************************************************************
REM *
REM ************************************************************************
REM * Verify that the script was called correctly
REM ************************************************************************
IF "%GOSALES_START%"=="1" GOTO CONTINUE_RUN
echo This script must be called from "setupGSDB.bat" - Quitting
GOTO :EOF
:CONTINUE_RUN

echo --CREATE INDEXES FOR GOSALESCT SCHEMA
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESCT_SCHEMA%.CUST_COUNTRY:
echo @
echo CREATE UNIQUE  INDEX %GOSALESCT_SCHEMA%.IX090616145913090 ON %GOSALESCT_SCHEMA%.CUST_COUNTRY (COUNTRY_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESCT_SCHEMA%.CUST_CRDT_CARD:
echo @
echo CREATE UNIQUE  INDEX %GOSALESCT_SCHEMA%.IX090616145913140 ON %GOSALESCT_SCHEMA%.CUST_CRDT_CARD (CUST_CC_ID )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESCT_SCHEMA%.CUST_CRDT_CHECK:
echo @
echo CREATE UNIQUE  INDEX %GOSALESCT_SCHEMA%.IX090616145913290 ON %GOSALESCT_SCHEMA%.CUST_CRDT_CHECK (CUST_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESCT_SCHEMA%.CUST_CUSTOMER:
echo @
echo CREATE UNIQUE  INDEX %GOSALESCT_SCHEMA%.IX090616145913350 ON %GOSALESCT_SCHEMA%.CUST_CUSTOMER (CUST_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESCT_SCHEMA%.CUST_INTEREST:
echo @
echo CREATE UNIQUE  INDEX %GOSALESCT_SCHEMA%.IX090616145913890 ON %GOSALESCT_SCHEMA%.CUST_INTEREST (CUST_CODE ,
echo CUST_INTEREST_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESCT_SCHEMA%.CUST_INTEREST_LOOKUP:
echo @
echo CREATE UNIQUE  INDEX %GOSALESCT_SCHEMA%.IX090616145914060 ON %GOSALESCT_SCHEMA%.CUST_INTEREST_LOOKUP (CUST_INTEREST_CODE ,
echo CUST_INTEREST_LANGUAGE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESCT_SCHEMA%.CUST_MARITAL_STATUS:
echo @
echo CREATE UNIQUE  INDEX %GOSALESCT_SCHEMA%.IX090616145914100 ON %GOSALESCT_SCHEMA%.CUST_MARITAL_STATUS (MARITAL_STATUS_CODE ,
echo MARITAL_STATUS_LANGUAGE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESCT_SCHEMA%.CUST_ORDER_DETAIL:
echo @
echo CREATE UNIQUE  INDEX %GOSALESCT_SCHEMA%.IX090616145914170 ON %GOSALESCT_SCHEMA%.CUST_ORDER_DETAIL (CUST_ORDER_DETAIL_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESCT_SCHEMA%.CUST_ORDER_HEADER:
echo @
echo CREATE UNIQUE  INDEX %GOSALESCT_SCHEMA%.IX090616145914460 ON %GOSALESCT_SCHEMA%.CUST_ORDER_HEADER (CUST_ORDER_NUMBER )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESCT_SCHEMA%.CUST_ORDER_STATUS:
echo @
echo CREATE UNIQUE  INDEX %GOSALESCT_SCHEMA%.IX090616145914680 ON %GOSALESCT_SCHEMA%.CUST_ORDER_STATUS (CUST_ORDER_STATUS_CODE ,
echo CUST_ORDER_STATUS_LANGUAGE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESCT_SCHEMA%.CUST_PRICE:
echo @
echo CREATE UNIQUE  INDEX %GOSALESCT_SCHEMA%.IX090616145914730 ON %GOSALESCT_SCHEMA%.CUST_PRICE (ORDER_YEAR ,
echo ORDER_MONTH ,
echo PRODUCT_NUMBER )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESCT_SCHEMA%.CUST_PROFESSION:
echo @
echo CREATE UNIQUE  INDEX %GOSALESCT_SCHEMA%.IX090616145914900 ON %GOSALESCT_SCHEMA%.CUST_PROFESSION (CUST_PROFESSION_CODE ,
echo CUST_PROFESSION_LANGUAGE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESCT_SCHEMA%.GO_CRDT_METHOD:
echo @
echo CREATE UNIQUE  INDEX %GOSALESCT_SCHEMA%.IX090616145914960 ON %GOSALESCT_SCHEMA%.GO_CRDT_METHOD (CRDT_METHOD_CODE ,
echo CRDT_METHOD_LANGUAGE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESCT_SCHEMA%.GO_SALES_TAX:
echo @
echo CREATE UNIQUE  INDEX %GOSALESCT_SCHEMA%.IX090616145915010 ON %GOSALESCT_SCHEMA%.GO_SALES_TAX (CUST_COUNTRY_CODE ,
echo CUST_PROV_STATE_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESCT_SCHEMA%.PTNR_ACTIVITY:
echo @
echo CREATE UNIQUE  INDEX %GOSALESCT_SCHEMA%.IX090616145915070 ON %GOSALESCT_SCHEMA%.PTNR_ACTIVITY (PTNR_CODE ,
echo CUST_CODE ,
echo CUST_ORDER_NUMBER )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESCT_SCHEMA%.PTNR_CONTACT:
echo @
echo CREATE UNIQUE  INDEX %GOSALESCT_SCHEMA%.IX090616145915140 ON %GOSALESCT_SCHEMA%.PTNR_CONTACT (PTNR_CODE )
echo @
echo.

