@echo OFF
REM *******************************************************************
REM *  5724-E34
REM *  (c) Copyright IBM Corporation 2008, 2009.
REM *  All rights reserved.
REM *
REM *  The source code for this program is not published or otherwise
REM *  divested of its trade secrets, irrespective of what has been
REM *  deposited with the U.S. Copyright Office.
REM *******************************************************************
REM *
REM ************************************************************************
REM * Verify that the script was called correctly
REM ************************************************************************
IF "%GOSALES_START%"=="1" GOTO CONTINUE_RUN
echo This script must be called from "setupGSDB.bat" - Quitting
GOTO :EOF
:CONTINUE_RUN

echo --CREATE INDEXES FOR GOSALESHR SCHEMA
echo  echo CREATING INDEX ON TABLE %GOSALESHR_SCHEMA%.DEPARTMENT_LOOKUP:
echo @
echo CREATE UNIQUE  INDEX %GOSALESHR_SCHEMA%.IX090616145907070 ON %GOSALESHR_SCHEMA%.DEPARTMENT_LOOKUP (DEPARTMENT_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESHR_SCHEMA%.EMPLOYEE:
echo @
echo CREATE UNIQUE  INDEX %GOSALESHR_SCHEMA%.IX090616145907120 ON %GOSALESHR_SCHEMA%.EMPLOYEE (EMPLOYEE_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESHR_SCHEMA%.EMPLOYEE_EXPENSE_DETAIL:
echo @
echo CREATE UNIQUE  INDEX %GOSALESHR_SCHEMA%.IX090616145907200 ON %GOSALESHR_SCHEMA%.EMPLOYEE_EXPENSE_DETAIL (EMPLOYEE_CODE ,
echo EXPENSE_DATE ,
echo EXPENSE_START_DATE ,
echo EXPENSE_TYPE_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESHR_SCHEMA%.EMPLOYEE_EXPENSE_PLAN:
echo @
echo CREATE UNIQUE  INDEX %GOSALESHR_SCHEMA%.IX090616145907780 ON %GOSALESHR_SCHEMA%.EMPLOYEE_EXPENSE_PLAN (EXPENSE_TYPE_CODE ,
echo EXPENSE_YEAR ,
echo EXPENSE_MONTH ,
echo ORGANIZATION_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESHR_SCHEMA%.EMPLOYEE_HISTORY:
echo @
echo CREATE UNIQUE  INDEX %GOSALESHR_SCHEMA%.IX090616145908070 ON %GOSALESHR_SCHEMA%.EMPLOYEE_HISTORY (EMPLOYEE_CODE ,
echo RECORD_START_DATE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESHR_SCHEMA%.EMPLOYEE_SUMMARY:
echo @
echo CREATE UNIQUE  INDEX %GOSALESHR_SCHEMA%.IX090616145908120 ON %GOSALESHR_SCHEMA%.EMPLOYEE_SUMMARY (EMPLOYEE_CODE ,
echo SUMMARY_DATE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESHR_SCHEMA%.EMPLOYEE_SURVEY_RESULTS:
echo @
echo CREATE UNIQUE  INDEX %GOSALESHR_SCHEMA%.IX090616145908250 ON %GOSALESHR_SCHEMA%.EMPLOYEE_SURVEY_RESULTS (EMPLOYEE_SURVEY_DATE ,
echo ORGANIZATION_CODE ,
echo POSITION_CODE ,
echo EMPLOYEE_TOPIC_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESHR_SCHEMA%.EMPLOYEE_SURVEY_TARGETS:
echo @
echo CREATE UNIQUE  INDEX %GOSALESHR_SCHEMA%.IX090616145908350 ON %GOSALESHR_SCHEMA%.EMPLOYEE_SURVEY_TARGETS (EMPLOYEE_TOPIC_CODE ,
echo EMPLOYEE_SURVEY_YEAR ,
echo EMPLOYEE_SURVEY_MONTH )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESHR_SCHEMA%.EMPLOYEE_SURVEY_TOPIC:
echo @
echo CREATE UNIQUE  INDEX %GOSALESHR_SCHEMA%.IX090616145908420 ON %GOSALESHR_SCHEMA%.EMPLOYEE_SURVEY_TOPIC (EMPLOYEE_TOPIC_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESHR_SCHEMA%.EXPENSE_GROUP:
echo @
echo CREATE UNIQUE  INDEX %GOSALESHR_SCHEMA%.IX090616145908460 ON %GOSALESHR_SCHEMA%.EXPENSE_GROUP (EXPENSE_GROUP_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESHR_SCHEMA%.EXPENSE_TYPE:
echo @
echo CREATE UNIQUE  INDEX %GOSALESHR_SCHEMA%.IX090616145908500 ON %GOSALESHR_SCHEMA%.EXPENSE_TYPE (EXPENSE_TYPE_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESHR_SCHEMA%.EXPENSE_UNIT:
echo @
echo CREATE UNIQUE  INDEX %GOSALESHR_SCHEMA%.IX090616145908560 ON %GOSALESHR_SCHEMA%.EXPENSE_UNIT (EXPENSE_UNIT_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESHR_SCHEMA%.GENDER_LOOKUP:
echo @
echo CREATE UNIQUE  INDEX %GOSALESHR_SCHEMA%.IX090616145908600 ON %GOSALESHR_SCHEMA%.GENDER_LOOKUP (GENDER_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESHR_SCHEMA%.ORGANIZATION:
echo @
echo CREATE UNIQUE  INDEX %GOSALESHR_SCHEMA%.IX090616145908670 ON %GOSALESHR_SCHEMA%.ORGANIZATION (ORGANIZATION_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESHR_SCHEMA%.POSITION_DEPARTMENT:
echo @
echo CREATE UNIQUE  INDEX %GOSALESHR_SCHEMA%.IX090616145908750 ON %GOSALESHR_SCHEMA%.POSITION_DEPARTMENT (POSITION_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESHR_SCHEMA%.POSITION_LOOKUP:
echo @
echo CREATE UNIQUE  INDEX %GOSALESHR_SCHEMA%.IX090616145908790 ON %GOSALESHR_SCHEMA%.POSITION_LOOKUP (POSITION_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESHR_SCHEMA%.POSITION_SUMMARY:
echo @
echo CREATE UNIQUE  INDEX %GOSALESHR_SCHEMA%.IX090616145908890 ON %GOSALESHR_SCHEMA%.POSITION_SUMMARY (POSITION_SUMMARY_DATE ,
echo ORGANIZATION_CODE ,
echo POSITION_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESHR_SCHEMA%.RANKING:
echo @
echo CREATE UNIQUE  INDEX %GOSALESHR_SCHEMA%.IX090616145909060 ON %GOSALESHR_SCHEMA%.RANKING (RANKING_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESHR_SCHEMA%.RANKING_RESULTS:
echo @
echo CREATE UNIQUE  INDEX %GOSALESHR_SCHEMA%.IX090616145909140 ON %GOSALESHR_SCHEMA%.RANKING_RESULTS (RANKING_DATE ,
echo EMPLOYEE_CODE ,
echo RANKING_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESHR_SCHEMA%.RECRUITMENT_MEDIUM:
echo @
echo CREATE UNIQUE  INDEX %GOSALESHR_SCHEMA%.IX090616145909200 ON %GOSALESHR_SCHEMA%.RECRUITMENT_MEDIUM (RECRUITMENT_MEDIUM_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESHR_SCHEMA%.RECRUITMENT:
echo @
echo CREATE UNIQUE  INDEX %GOSALESHR_SCHEMA%.IX090616145909280 ON %GOSALESHR_SCHEMA%.RECRUITMENT (RECRUITMENT_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESHR_SCHEMA%.RECRUITMENT_TYPE:
echo @
echo CREATE UNIQUE  INDEX %GOSALESHR_SCHEMA%.IX090616145909340 ON %GOSALESHR_SCHEMA%.RECRUITMENT_TYPE (RECRUITMENT_TYPE_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESHR_SCHEMA%.SATISFACTION_INDEX:
echo @
echo CREATE UNIQUE  INDEX %GOSALESHR_SCHEMA%.IX090616145909390 ON %GOSALESHR_SCHEMA%.SATISFACTION_INDEX (SATISFACTION_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESHR_SCHEMA%.SUCCESSION_DETAILS:
echo @
echo CREATE UNIQUE  INDEX %GOSALESHR_SCHEMA%.IX090616145909460 ON %GOSALESHR_SCHEMA%.SUCCESSION_DETAILS (SUCCESSION_DETAIL_DATE ,
echo EMPLOYEE_CODE ,
echo POSITION_CODE ,
echo SUCCESSOR_EMPLOYEE_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESHR_SCHEMA%.SUCCESSOR_STATUS:
echo @
echo CREATE UNIQUE  INDEX %GOSALESHR_SCHEMA%.IX090616145909510 ON %GOSALESHR_SCHEMA%.SUCCESSOR_STATUS (SUCCESSOR_STATUS_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESHR_SCHEMA%.TERMINATION_LOOKUP:
echo @
echo CREATE UNIQUE  INDEX %GOSALESHR_SCHEMA%.IX090616145909560 ON %GOSALESHR_SCHEMA%.TERMINATION_LOOKUP (TERMINATION_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESHR_SCHEMA%.TRAINING:
echo @
echo CREATE UNIQUE  INDEX %GOSALESHR_SCHEMA%.IX090616145909620 ON %GOSALESHR_SCHEMA%.TRAINING (COURSE_CODE )
echo @
echo  echo CREATING INDEX ON TABLE %GOSALESHR_SCHEMA%.TRAINING_DETAILS:
echo @
echo CREATE UNIQUE  INDEX %GOSALESHR_SCHEMA%.IX090616145909710 ON %GOSALESHR_SCHEMA%.TRAINING_DETAILS (EMPLOYEE_CODE ,
echo COURSE_CODE ,
echo TRAINING_DATE )
echo @
echo.

