@echo OFF
REM *******************************************************************
REM *  5724-E34
REM *  (c) Copyright IBM Corporation 2008, 2009.
REM *  All rights reserved.
REM *
REM *  The source code for this program is not published or otherwise
REM *  divested of its trade secrets, irrespective of what has been
REM *  deposited with the U.S. Copyright Office.
REM *******************************************************************
REM *
REM ************************************************************************
REM * Verify that the script was called correctly
REM ************************************************************************
IF "%GOSALES_START%"=="1" GOTO CONTINUE_RUN
echo This script must be called from "setupGSDB.bat" - Quitting
GOTO :EOF
:CONTINUE_RUN

echo --CREATE FOREIGN KEY CONSTRAINTS FOR GOSALES SCHEMA
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALES_SCHEMA%.BRANCH:
echo @
echo ALTER TABLE %GOSALES_SCHEMA%.BRANCH ADD CONSTRAINT FK_1593928900 FOREIGN KEY ( COUNTRY_CODE       ) REFERENCES %GOSALES_SCHEMA%.COUNTRY( COUNTRY_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALES_SCHEMA%.CONVERSION_RATE:
echo @
echo ALTER TABLE %GOSALES_SCHEMA%.CONVERSION_RATE ADD CONSTRAINT FK_1609928957 FOREIGN KEY ( COUNTRY_CODE       ) REFERENCES %GOSALES_SCHEMA%.COUNTRY( COUNTRY_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALES_SCHEMA%.COUNTRY:
echo @
echo ALTER TABLE %GOSALES_SCHEMA%.COUNTRY ADD CONSTRAINT FK_1625929014 FOREIGN KEY ( SALES_REGION_CODE  ) REFERENCES %GOSALES_SCHEMA%.SALES_REGION( SALES_REGION_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALES_SCHEMA%.CURRENCY_LOOKUP:
echo @
echo ALTER TABLE %GOSALES_SCHEMA%.CURRENCY_LOOKUP ADD CONSTRAINT FK_1641929071 FOREIGN KEY ( COUNTRY_CODE       ) REFERENCES %GOSALES_SCHEMA%.COUNTRY( COUNTRY_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALES_SCHEMA%.EURO_CONVERSION:
echo @
echo ALTER TABLE %GOSALES_SCHEMA%.EURO_CONVERSION ADD CONSTRAINT FK_2073930610 FOREIGN KEY ( COUNTRY_CODE       ) REFERENCES %GOSALES_SCHEMA%.COUNTRY( COUNTRY_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALES_SCHEMA%.INVENTORY_LEVELS:
echo @
echo ALTER TABLE %GOSALES_SCHEMA%.INVENTORY_LEVELS ADD CONSTRAINT FK_2121930781 FOREIGN KEY ( WAREHOUSE_BRANCH_CODE ) REFERENCES %GOSALES_SCHEMA%.BRANCH( BRANCH_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALES_SCHEMA%.INVENTORY_LEVELS:
echo @
echo ALTER TABLE %GOSALES_SCHEMA%.INVENTORY_LEVELS ADD CONSTRAINT FK_2137930838 FOREIGN KEY ( PRODUCT_NUMBER     ) REFERENCES %GOSALES_SCHEMA%.PRODUCT( PRODUCT_NUMBER) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALES_SCHEMA%.ORDER_DETAILS:
echo @
echo ALTER TABLE %GOSALES_SCHEMA%.ORDER_DETAILS ADD CONSTRAINT FK_22447304 FOREIGN KEY ( PRODUCT_NUMBER     ) REFERENCES %GOSALES_SCHEMA%.PRODUCT( PRODUCT_NUMBER) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALES_SCHEMA%.ORDER_DETAILS:
echo @
echo ALTER TABLE %GOSALES_SCHEMA%.ORDER_DETAILS ADD CONSTRAINT FK_6447247 FOREIGN KEY ( ORDER_NUMBER       ) REFERENCES %GOSALES_SCHEMA%.ORDER_HEADER( ORDER_NUMBER) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALES_SCHEMA%.ORDER_HEADER:
echo @
echo ALTER TABLE %GOSALES_SCHEMA%.ORDER_HEADER ADD CONSTRAINT FK_102447589 FOREIGN KEY ( ORDER_METHOD_CODE  ) REFERENCES %GOSALES_SCHEMA%.ORDER_METHOD( ORDER_METHOD_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALES_SCHEMA%.ORDER_HEADER:
echo @
echo ALTER TABLE %GOSALES_SCHEMA%.ORDER_HEADER ADD CONSTRAINT FK_150447760 FOREIGN KEY ( RETAILER_SITE_CODE ) REFERENCES %GOSALESRT_SCHEMA%.RETAILER_SITE_MB( RETAILER_SITE_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALES_SCHEMA%.ORDER_HEADER:
echo @
echo ALTER TABLE %GOSALES_SCHEMA%.ORDER_HEADER ADD CONSTRAINT FK_54447418 FOREIGN KEY ( RETAILER_SITE_CODE ) REFERENCES %GOSALESRT_SCHEMA%.RETAILER_SITE( RETAILER_SITE_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALES_SCHEMA%.ORDER_HEADER:
echo @
echo ALTER TABLE %GOSALES_SCHEMA%.ORDER_HEADER ADD CONSTRAINT FK_70447475 FOREIGN KEY ( RETAILER_CONTACT_CODE ) REFERENCES %GOSALESRT_SCHEMA%.RETAILER_CONTACT( RETAILER_CONTACT_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALES_SCHEMA%.ORDER_HEADER:
echo @
echo ALTER TABLE %GOSALES_SCHEMA%.ORDER_HEADER ADD CONSTRAINT FK_86447532 FOREIGN KEY ( SALES_BRANCH_CODE  ) REFERENCES %GOSALES_SCHEMA%.BRANCH( BRANCH_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALES_SCHEMA%.PRODUCT:
echo @
echo ALTER TABLE %GOSALES_SCHEMA%.PRODUCT ADD CONSTRAINT FK_230448045 FOREIGN KEY ( PRODUCT_BRAND_CODE ) REFERENCES %GOSALES_SCHEMA%.PRODUCT_BRAND( PRODUCT_BRAND_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALES_SCHEMA%.PRODUCT:
echo @
echo ALTER TABLE %GOSALES_SCHEMA%.PRODUCT ADD CONSTRAINT FK_246448102 FOREIGN KEY ( PRODUCT_COLOR_CODE ) REFERENCES %GOSALES_SCHEMA%.PRODUCT_COLOR_LOOKUP( PRODUCT_COLOR_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALES_SCHEMA%.PRODUCT:
echo @
echo ALTER TABLE %GOSALES_SCHEMA%.PRODUCT ADD CONSTRAINT FK_262448159 FOREIGN KEY ( PRODUCT_SIZE_CODE  ) REFERENCES %GOSALES_SCHEMA%.PRODUCT_SIZE_LOOKUP( PRODUCT_SIZE_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALES_SCHEMA%.PRODUCT:
echo @
echo ALTER TABLE %GOSALES_SCHEMA%.PRODUCT ADD CONSTRAINT FK_278448216 FOREIGN KEY ( PRODUCT_TYPE_CODE  ) REFERENCES %GOSALES_SCHEMA%.PRODUCT_TYPE( PRODUCT_TYPE_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALES_SCHEMA%.PRODUCT_FORECAST:
echo @
echo ALTER TABLE %GOSALES_SCHEMA%.PRODUCT_FORECAST ADD CONSTRAINT FK_294448273 FOREIGN KEY ( BRANCH_CODE        ) REFERENCES %GOSALES_SCHEMA%.BRANCH( BRANCH_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALES_SCHEMA%.PRODUCT_NAME_LOOKUP:
echo @
echo ALTER TABLE %GOSALES_SCHEMA%.PRODUCT_NAME_LOOKUP ADD CONSTRAINT FK_310448330 FOREIGN KEY ( PRODUCT_NUMBER     ) REFERENCES %GOSALES_SCHEMA%.PRODUCT( PRODUCT_NUMBER) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALES_SCHEMA%.PRODUCT_TYPE:
echo @
echo ALTER TABLE %GOSALES_SCHEMA%.PRODUCT_TYPE ADD CONSTRAINT FK_438448786 FOREIGN KEY ( PRODUCT_LINE_CODE  ) REFERENCES %GOSALES_SCHEMA%.PRODUCT_LINE( PRODUCT_LINE_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALES_SCHEMA%.RETURNED_ITEM:
echo @
echo ALTER TABLE %GOSALES_SCHEMA%.RETURNED_ITEM ADD CONSTRAINT FK_950450610 FOREIGN KEY ( ORDER_DETAIL_CODE  ) REFERENCES %GOSALES_SCHEMA%.ORDER_DETAILS( ORDER_DETAIL_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALES_SCHEMA%.RETURNED_ITEM:
echo @
echo ALTER TABLE %GOSALES_SCHEMA%.RETURNED_ITEM ADD CONSTRAINT FK_966450667 FOREIGN KEY ( RETURN_REASON_CODE ) REFERENCES %GOSALES_SCHEMA%.RETURN_REASON( RETURN_REASON_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALES_SCHEMA%.SALES_TARGET:
echo @
echo ALTER TABLE %GOSALES_SCHEMA%.SALES_TARGET ADD CONSTRAINT FK_1014450838 FOREIGN KEY ( PRODUCT_BRAND_CODE ) REFERENCES %GOSALES_SCHEMA%.PRODUCT_BRAND( PRODUCT_BRAND_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALES_SCHEMA%.SALES_TARGET:
echo @
echo ALTER TABLE %GOSALES_SCHEMA%.SALES_TARGET ADD CONSTRAINT FK_1030450895 FOREIGN KEY ( PRODUCT_TYPE_CODE  ) REFERENCES %GOSALES_SCHEMA%.PRODUCT_TYPE( PRODUCT_TYPE_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALES_SCHEMA%.SALES_TARGET:
echo @
echo ALTER TABLE %GOSALES_SCHEMA%.SALES_TARGET ADD CONSTRAINT FK_1046450952 FOREIGN KEY ( RETAILER_CODE      ) REFERENCES %GOSALESRT_SCHEMA%.RETAILER( RETAILER_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALES_SCHEMA%.SALES_TARGET:
echo @
echo ALTER TABLE %GOSALES_SCHEMA%.SALES_TARGET ADD CONSTRAINT FK_998450781 FOREIGN KEY ( COUNTRY_CODE_RETAILER ) REFERENCES %GOSALES_SCHEMA%.COUNTRY( COUNTRY_CODE) NOT ENFORCED
echo @
echo echo CREATING FOREIGN KEY CONSTRAINT ON TABLE %GOSALES_SCHEMA%.TIME_DIMENSION:
echo @
echo ALTER TABLE %GOSALES_SCHEMA%.TIME_DIMENSION ADD CONSTRAINT FK_1094451123 FOREIGN KEY ( QUARTER_KEY        ) REFERENCES %GOSALES_SCHEMA%.TIME_QUARTER_LOOKUP( QUARTER_KEY) NOT ENFORCED
echo @
echo.
