@ECHO OFF
REM ************************************************************************
REM Verify that the script was called correctly
REM ************************************************************************
IF "%GOSALES_START%"=="1" GOTO CONTINUE_RUN
ECHO THIS SCRIPT MUST BE CALLED FROM "setupGSDB.bat" - QUITTING
GOTO :EOF
:CONTINUE_RUN

ECHO ------------------------------------------------
ECHO -- CREATE THE %GOSALES_LOB_TS% TABLESPACE
ECHO ------------------------------------------------
ECHO.
ECHO CREATE  LOB TABLESPACE  %GOSALES_LOB_TS% IN %GOSALES_DB%
ECHO     USING STOGROUP %GOSALES_STG%
ECHO     PRIQTY 1600   
ECHO     SECQTY 1024
ECHO     ERASE NO
ECHO     GBPCACHE SYSTEM
ECHO     DSSIZE 4G
ECHO     BUFFERPOOL %GOSALES_BP%
ECHO     LOCKSIZE LOB           
ECHO     LOCKMAX 0
ECHO     CLOSE YES 
ECHO @
ECHO COMMIT
ECHO @
ECHO ------------------------------------------------
ECHO -- CREATE THE %GOSALES_TS% TABLESPACE
ECHO ------------------------------------------------
ECHO.
ECHO CREATE  TABLESPACE  %GOSALES_TS% IN %GOSALES_DB%
ECHO     USING STOGROUP %GOSALES_STG%
ECHO     PRIQTY 100000   
ECHO     SECQTY 100000
ECHO     ERASE NO
ECHO     FREEPAGE 0 
ECHO     PCTFREE 5
ECHO     TRACKMOD YES
ECHO     COMPRESS NO   
ECHO     GBPCACHE CHANGED
ECHO     SEGSIZE  4
ECHO     CCSID UNICODE
ECHO     BUFFERPOOL %GOSALES_BP%
ECHO     LOCKSIZE ROW           
ECHO     LOCKMAX SYSTEM
ECHO     CLOSE NO 
ECHO @
ECHO  COMMIT
ECHO @
ECHO.

